Subject: bug#35659: 26.1; Weird horizontal scroll behavior with certain settings for `auto-hscroll-mode' and `hscroll-step`.

From: Eli Zaretskii <[email-masked]>
Date: Fri, 10 May 2019 17:03:39 +0300

> Cc: [email-masked]
> From: Clemens Radermacher <[email-masked]>
> Date: Fri, 10 May 2019 15:44:01 +0200
> 
> Still I think when the shorter lines don't get pushed around
> with hscroll-step 0, it shouldn't happen with hscroll-step set to another value.

I think the fact that it happens for hscroll-step of zero is "by sheer
luck".  I certainly don't remember explicitly coding that.

> Thank you for doing it, it's really a great feature and I like it. I guess
> I have to live with the default setting for hscroll-step then.

Maybe someone will find an easy fix, volunteers are welcome.  Emacs
really shouldn't depend for its display code development on one old
curmudgeon such as myself...